lkml.org 
[lkml]   [2018]   [Nov]   [23]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 4.19 00/42] 4.19.4-stable review
On Thu, Nov 22, 2018 at 02:30:58PM -0800, Guenter Roeck wrote:
> On 11/22/18 2:01 PM, Thomas Voegtle wrote:
> > On Thu, 22 Nov 2018, Thomas Voegtle wrote:
> >
> > >
> > > Doesn't compile for me on OpenSuSE 15.0 (gcc 7.3.1):
> > >
> > >   CALL    scripts/checksyscalls.sh
> > >   DESCEND  objtool
> > >   CHK     include/generated/compile.h
> > >   CC [M]  drivers/gpu/drm/i915/i915_gem_gtt.o
> > > drivers/gpu/drm/i915/i915_gem_gtt.c: In function ‘gen6_dump_ppgtt’:
> > > drivers/gpu/drm/i915/i915_gem_gtt.c:1771:41: error: format ‘%llx’ expects
> > > argument of type ‘long long unsigned int’, but argument 5 has type ‘long
> > > unsigned int’ [-Werror=format=]
> > >    seq_printf(m, "\t\t(%03d, %04d) %08llx: ",
> > >                                    ~~~~~ ^
> > >                                    %08lx
> > > cc1: all warnings being treated as errors
> > > make[4]: *** [scripts/Makefile.build:306:
> > > drivers/gpu/drm/i915/i915_gem_gtt.o] Error 1
> > > make[3]: *** [scripts/Makefile.build:546: drivers/gpu/drm/i915] Error 2
> > > make[2]: *** [scripts/Makefile.build:546: drivers/gpu/drm] Error 2
> > > make[1]: *** [scripts/Makefile.build:546: drivers/gpu] Error 2
> > > make: *** [Makefile:1052: drivers] Error 2
> > >
> > >
> > >
> > > 4.19.3 is broken for me, too. 4.19.2 is works.
> > > 4.20-rc tree works.
> > >
> > > Config attached.
> >
> >
> > quick bisect shows problem is:
> >
> > commit 1a25e1a1be71a49ee7f34fb14b5a26191e6cf501
> > Author: Chris Wilson <chris@chris-wilson.co.uk>
> > Date:   Thu Oct 25 10:18:22 2018 +0100
> >
> >     drm/i915: Mark up GTT sizes as u64
> >
> >     commit c58281056a8b26d5d9dc15c19859a7880835ef44 upstream.
> >
> >
> > reverted on 4.19.4-rc1 it compiles for me. I guess something is missing here?
> >
> AFAICS someone was not careful with the backport. Upstream doesn't have %llx
> at that place.

Yes it does, unless I'm reading the code wrong?

It seems that this does not trigger on upstream due to f6e35cda6614
("drm/i915: Replace some PAGE_SIZE with I915_GTT_PAGE_SIZE") being
there, which changed the type of the variable being displayed here.

I've now backported that as well, as it should help out over time, and
the build warning seems to be gone.

thanks,

greg k-h

\
 
 \ /
  Last update: 2018-11-23 08:45    [W:0.050 / U:0.284 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site